#
# spec file for package lyx (Version 1.6.8)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           lyx
#!BuildIgnore: lyx
BuildRequires:  ImageMagick aspell-devel boost-devel fdupes gv ispell libdrm-devel libjpeg-devel libqt4-devel python sgmltool update-desktop-files
%if %suse_version > 1020
BuildRequires:  texlive-devel texlive-latex
%else
BuildRequires:  te_latex tetex
%endif
License:        LGPLv2.1+
Group:          Productivity/Publishing/TeX/Frontends
Requires:       texlive-latex ImageMagick
AutoReqProv:    on
Version:        1.6.8
Release:        1
%define rversion 1.6.8
Summary:        LaTeX-Based WYSIWYG Editor
Url:            http://www.lyx.org/
Source:         lyx-%{rversion}.tar.bz2
Source1:        lyx.desktop
Source2:        lyx.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
LyX is a front-end for LaTeX under X11. It combines the comfortable use
of a word processor with the high quality of LaTeX typesetting.
Documents are displayed in a WYSIWYG-like way. User does not choose low
level attributes ("large italic") but high level layouts (styles) for
each paragraph. Of course, low level formatting is still possible.

%prep
%setup -q -n %{name}-%{rversion}

%build
#%{?suse_update_config:%{suse_update_config -f config}}
#./autogen.sh
export CFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR"
export CXXFLAGS="$RPM_OPT_FLAGS -DHAVE_STRERROR"
TEXMF=%{_datadir}/texmf
%if %suse_version > 1020
TEXMF=$(kpsexpand '$TEXMFMAIN')
%if %suse_version > 1030
TEXMF=$(kpsexpand '$TEXMFDIST')
%endif
%endif
%configure \
    --with-texmf=$TEXMF \
    --without-included-boost \
%if %suse_version < 1020
    --with-extra-inc=/usr/X11R6/include/X11 \
%endif
    --with-aspell \
    --with-frontend=qt4 
make %{?jobs:-j%jobs}

%install
TEXMF=%{_datadir}/texmf
%if %suse_version > 1020
TEXMF=$(kpsexpand '$TEXMFMAIN')
%if %suse_version > 1030
TEXMF=$(kpsexpand '$TEXMFDIST')
%endif
%endif
make install DESTDIR=$RPM_BUILD_ROOT TEXMF=$TEXMF
mkdir -p $RPM_BUILD_ROOT%{_defaultdocdir}/%{name}
pushd $RPM_BUILD_ROOT%{_datadir}/lyx/doc/
    for i in *
    do
        ln -s %{_datadir}/lyx/doc/$i \
	      $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
    done
popd
cp ABOUT-NLS ANNOUNCE COPYING INSTALL* NEWS \
   README README.localization RELEASE-NOTES UPGRADING \
   $RPM_BUILD_ROOT/%{_defaultdocdir}/%{name}/
mkdir -p $RPM_BUILD_ROOT$TEXMF/tex/latex
ln -s %{_datadir}/lyx/tex $RPM_BUILD_ROOT$TEXMF/tex/latex/lyx
%suse_update_desktop_file -i lyx Office WordProcessor
%fdupes -s $RPM_BUILD_ROOT
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%docdir %{_datadir}/lyx/doc
%doc %{_defaultdocdir}/lyx
/usr/bin/lyx
/usr/bin/lyxclient
/usr/bin/tex2lyx
%{_datadir}/applications/lyx.desktop
%{_datadir}/pixmaps/lyx.png
%{_datadir}/texmf/tex/latex/lyx
%{_datadir}/lyx
%doc %{_mandir}/man1/lyx.1.gz
%doc %{_mandir}/man1/lyxclient.1.gz
%doc %{_mandir}/man1/tex2lyx.1.gz

%changelog
